#ifdef msdos
void far vio_init(void);
void far vio_move(int x, int y);
void far vio_sync(void);
void far vio_color(int c);
int far vio_putc(int c);
void far vio_puts(char far *s);
void far vio_clear(void);
void far vio_clreol(void);
void far vio_index(int top, int bottom);
void far vio_revind(int top, int bottom);
int far vio_getc(void);
int far vio_mono(void);
int far vio_query(void);
void far vio_reinit(void);
void far vio_end(void);
#endif
